/*
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *  
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Sun designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Sun in the LICENSE file that accompanied this code.
 *  
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *  
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *  
 * Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa Clara,
 * CA 95054 USA or visit www.sun.com if you need additional information or
 * have any questions.
 */

/* Header for class sun_awt_font_SunLayoutEngine */

#ifndef _Included_sun_awt_font_SunLayoutEngine
#define _Included_sun_awt_font_SunLayoutEngine

#include <jni.h>

#ifdef __cplusplus
extern "C" {
#endif

/*
 * Class:     sun_font_SunLayoutEngine
 * Method:    initGVIDs
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_sun_font_SunLayoutEngine_initGVIDs
  (JNIEnv *, jclass);

/*
 * Class:     sun_font_SunLayoutEngine
 * Method:    nativeLayout
 * Signature: (Lsun/font/FontStrike;[CIIIIZLjava/awt/geom/Point2D$Float;Lsun/awt/font/GlyphLayout$GVData;)V
 */
JNIEXPORT void JNICALL Java_sun_font_SunLayoutEngine_nativeLayout
   (JNIEnv *env, jclass cls, jobject font2d, jobject strike, jfloatArray matrix, jint gmask, jint baseIndex,
   jcharArray text, jint offset, jint limit, jint min, jint max, 
   jint script, jint lang, jint typo_flags, jobject pt, jobject gvdata);

#ifdef __cplusplus
}
#endif

#endif

